
#include <stdio.h>
#include <stdlib.h>
#include <signal.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <sys/time.h>
#include <fcntl.h>

#include "hp48.h"

/* x48 stuff */
char  *progname;

saturn_t saturn;

int	    verbose;
int	    quiet;
int     useSerial;
char   *serialLine;
int     initialize;
int     resetOnStartup;
char   *romFileName;
char   *homeDirectory;

static char *loc_dirname(char *filename)
{
  char *dirname = (char *)0;

  int index = strlen(filename);
  while (index >= 0) {
    if (filename[index] == '/') break;
    index--;
  }
  if (index >= 0) {
    dirname = (char *)malloc(sizeof(char) * (index + 1));
    strncpy(dirname, filename, index);
    dirname[index] = '\0';

  } else {
    dirname = (char *)malloc(sizeof(char) * 2);
    dirname[0] = '.';
    dirname[1] = '\0'; 
  }

  return dirname;
}

void
init_resource(int argc, char **argv)
{
  verbose     = 0;
  quiet       = 0;
  useSerial   = 0;
  serialLine = "/dev/tty";
  initialize = 0;
  resetOnStartup = 1;
  romFileName =   "rom";
  homeDirectory = loc_dirname(argv[0]);
}

