// primitive graphics for Hello World PSP
# ifndef _PSP_PG_H_
# define _PSP_PG_H_

//#define PG_RGB(r, g, b) ((r)|((g)<<5)|((b)<<10))
# define PG_RGB(r, g, b)  (((b & 0xf8) << 7) | ((g & 0xf8) << 2) | (r >> 3))
extern void pgInit();
extern void pgWaitV();
extern void pgWaitVn(unsigned long count);
extern void pgScreenFrame(long mode,long frame);
extern void pgScreenFlip();
extern void pgScreenFlipV();
extern void pgFillvram(unsigned long color);
extern void pgBitBlt(unsigned long x,unsigned long y,unsigned long w,unsigned long h,unsigned long mag,const unsigned short *d);
extern void pgBitTransp(unsigned long x,unsigned long y,unsigned long w,unsigned long h,unsigned long mag,const unsigned short *d, unsigned short transparency);
extern char *pgGetVramAddr(unsigned long x,unsigned long y);

/* New Stuff */
extern void pgDrawBox(int x, int y, int w, int h, int border, int color);
extern void pgDrawRectangle(int x, int y, int w, int h, int border, int mode);
extern void pgFillRectangle(int x, int y, int w, int h, int color, int mode);
extern void pgPutPixel(int x, int y,int color);

#define PG_SCREEN_WIDTH  480
#define PG_SCREEN_HEIGHT 272

#define PG_DEF       0
#define PG_XOR       1

# endif

